clear

%icase=0;
%isp=2;
%rt=3;
dres=zeros(13,5,2,2,4);

%selopt='STD';
selopt='SELE_FD';
%selopt='SELE_MWG';
%selopt='SELE_EDF';
%
%selopt='SELE_GAP';
%selopt='EDF';
%
%ihet=1;
%%for icase=0:0
%for icase=1:12
%for isp=1:2
%for rt=2:3
%diffMap;
%if(icase==0)
%  icasep=13;%
%else 
%  icasep=icase;
%end
%if(ihet==0)
%  ihetp=5;
%else
%  ihetp=ihet;
%end
%dres(icasep,ihetp,isp,rt-1,1)=dmin;
%dres(icasep,ihetp,isp,rt-1,2)=dmax;
%dres(icasep,ihetp,isp,rt-1,3)=dstd;
%dres(icasep,ihetp,isp,rt-1,4)=drms;
%end
%end
%end
%

ihet=1;
%for icase=0:0
for icase=5:5
for isp=1:2
for rt=2:2
diffMap;
if(icase==0)
  icasep=13;
else 
  icasep=icase;
end
if(ihet==0)
  ihetp=5;
else
  ihetp=ihet;
end
dres(icasep,ihetp,isp,rt-1,1)=dmin;
dres(icasep,ihetp,isp,rt-1,2)=dmax;
dres(icasep,ihetp,isp,rt-1,3)=dstd;
dres(icasep,ihetp,isp,rt-1,4)=drms;
end
end
end

%ihet=0;
%%for icase=0:0
%for icase=1:12
%for isp=1:2
%for rt=2:3
%diffMap;
%if(icase==0)
%  icasep=13;
%else 
%  icasep=icase;
%end
%if(ihet==0)
%  ihetp=5;
%else
%  ihetp=ihet;
%end
%dres(icasep,ihetp,isp,rt-1,1)=dmin;
%dres(icasep,ihetp,isp,rt-1,2)=dmax;
%dres(icasep,ihetp,isp,rt-1,3)=dstd;
%dres(icasep,ihetp,isp,rt-1,4)=drms;
%end
%end
%end
%
%ihet=4;
%%for icase=0:0
%for icase=1:12
%for isp=1:1
%for rt=2:2
%diffMap;
%if(icase==0)
%  icasep=13;
%else 
%  icasep=icase;
%end
%if(ihet==0)
%  ihetp=5;
%else
%  ihetp=ihet;
%end
%dres(icasep,ihetp,isp,rt-1,1)=dmin;
%dres(icasep,ihetp,isp,rt-1,2)=dmax;
%dres(icasep,ihetp,isp,rt-1,3)=dstd;
%dres(icasep,ihetp,isp,rt-1,4)=drms;
%end
%end
%end
%
%if strcmp(selopt,'STD')
%% save 'dres_all_new_STD.txt' dres
%% save 'dres_all_new2_STD.txt' dres
%% save 'dres_all_newsph2_STD.txt' dres
%% save 'dres_all_nwsph_STD.txt' dres
% save 'dres_all_nwsphABK_STD.txt' dres
%elseif strcmp(selopt,'SELE_FD')
%% save 'dres_all_new_SELE_FD.txt' dres
%% save 'dres_all_new2_SELE_FD.txt' dres
%% save 'dres_all_newsph2_SELE_FD.txt' dres
%% save 'dres_all_nwsph_SELE_FD.txt' dres
% save 'dres_all_nwsphABK_SELE_FD.txt' dres
%elseif strcmp(selopt,'SELE_GAP')
%% save 'dres_all_new_SELE_GAP.txt' dres
% save 'dres_all_new2_SELE_GAP.txt' dres
%elseif strcmp(selopt,'EDF')
%% save 'dres_all_new_EDF.txt' dres
% save 'dres_all_new2_EDF.txt' dres
%elseif strcmp(selopt,'SELE_MWG')
%% save 'dres_all_newsph_SELE_MWG.txt' dres
%% save 'dres_all_newsph2_SELE_MWG.txt' dres
%% save 'dres_all_nwsph_SELE_MWG.txt' dres
% save 'dres_all_nwsphABK_SELE_MWG.txt' dres
%elseif strcmp(selopt,'SELE_EDF')
%% save 'dres_all_newsph_SELE_EDF.txt' dres
%% save 'dres_all_newsph2_SELE_EDF.txt' dres
%% save 'dres_all_nwsph_SELE_EDF.txt' dres
% save 'dres_all_nwsphABK_SELE_EDF.txt' dres
%end
%save 'dres_all_SELE_GAP.txt' dres
%save 'dres_all_SELE_FD.txt' dres
%save 'dres_all_EDF_h2.txt' dres
%save 'dres_all_EDF_123.txt' dres
%save 'dres_all_EDF_112.txt' dres
%save 'dres_all_EDF_nointp.txt' dres
%save 'dres_all_EDF.txt' dres

